Skip to main content
GET
Read Block Type By Id

Headers

x-prefect-api-version
string

Path Parameters

id
string<uuid>
required

The block type ID

Response

Successful Response

An ORM representation of a block type

id
string<uuid>
required
created
string<date-time> | null
required
updated
string<date-time> | null
required
name
string
required

A block type's name

Pattern: ^[^/%&><]+$
slug
string
required

A block type's slug

logo_url
string | null

Web URL for the block type's logo

documentation_url
string | null

Web URL for the block type's documentation

description
string | null

A short blurb about the corresponding block's intended use

code_example
string | null

A code snippet demonstrating use of the corresponding block

is_protected
boolean
default:false

Protected block types cannot be modified via API.